Subject: Re: kernel hangs when removing a dummy netdev with an attached macvlan

From: Daniel Lezcano <[email-masked]>
Date: Tue, 24 Aug 2010 21:14:46 +0200

On 08/24/2010 07:01 PM, Eric Dumazet wrote:
> Le mardi 24 août 2010 à 18:32 +0200, Daniel Lezcano a écrit :
>    
>> Hi all,
>>
>> I noticed the kernel hangs when we create a dummy interface, assign a
>> macvlan on it and then delete the dummy interface.
>>
>> How to reproduce:
>>
>>    ip link add dummy0 type dummy
>>    ip link add mc0 link dummy0 type macvlan
>>    ip link del dummy0
>>
>>      
> Strange, I could not reproduce it with linux-2.6 current tree
>    

Right, I was not up to date. The bug does no longer appear with the 
net-next-2.6 git head.

Sorry for the noise.

   -- Daniel